# KnifeFix

Improves Knife's hitbox and damage timings by overriding some fields in its animation datablock. Uses a plugin to modify data blocks to be compatible with modded rundowns.

Specifically, the changes are:
- General: Makes the hitbox thinner and longer.
  - Attack sphere: 0.25 -> 0.15
  - Attack length: 1.75 -> 2.0
- Light Attack: Hits targets you look at directly sooner and shortens miss recovery time but lengthens hit recovery time.
  - Direct hit time: 0.167s -> 0.1167s
  - Miss combo time: 0.5s -> 0.4667s
  - Hit combo time: 0.3s -> 0.333s
- Charge Attack: Hits targets you look at directly sooner and delays the hitbox slightly to prevent hitting walls but lengthens hit recovery time.
  - Direct hit time: 0.167s -> 0.1s
  - (Right) Damage start time: 0s -> 0.08s
  - (Left) Damage start time: 0s -> 0.067s
  - Hit combo time: 0.3s -> 0.333s

### Patch Notes

#### v1.1.0

- Fixed attack length not being modified

#### v1.0.0

- Initial Release